#mainLoader{
	position: absolute;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background-color: #000;
	-webkit-transition: opacity 250ms ease-out;
	-moz-transition: opacity 250ms ease-out;
	-ms-transition: opacity 250ms ease-out;
	-o-transition: opacity 250ms ease-out;
	transition: opacity 250ms ease-out;
	z-index: 1000;
	-webkit-perspective: 400px;
	-moz-perspective: 400px;
	-ms-perspective: 400px;
	-o-perspective: 400px;
	perspective: 400px;
}
#cube{
	-webkit-transform-style: preserve-3d;
	position: absolute;;
	left: 50%;
	top: 50%;
	margin-left: -50px;
	margin-top: -50px;
	width: 100px;
	height: 100px;
	-webkit-animation: rotation 8s infinite ease-in-out;
	-moz-animation: rotation 8s infinite ease-in-out;
	-o-animation: rotation 8s infinite ease-in-out;
	animation: rotation 8s infinite ease-in-out;
	z-index: 1000;
}
#cube div{
	width: 100px;
	height: 100px;
	position: absolute;
	left: 0;
	top: 0;
	-webkit-transform-style: preserve-3d;
	background-color: white;
}
#cube div:nth-child(1){
	-webkit-transform: translateZ( 50px );
	-webkit-animation: shade 4s infinite ease-in-out;
}
#cube div:nth-child(2){
	-webkit-transform: rotateY( 90deg ) translateZ( 50px );
	-webkit-animation: shade 4s infinite ease-in-out;
	-webkit-animation-delay: 2s;
}
#cube div:nth-child(3){
	-webkit-transform: rotateY( 180deg ) translateZ( 50px );
	-webkit-animation: shade 4s infinite ease-in-out;
	-webkit-animation-delay: 4s;
}
#cube div:nth-child(4){
	-webkit-transform: rotateY( 270deg ) translateZ( 50px );
	-webkit-animation: shade 4s infinite ease-in-out;
	-webkit-animation-delay: 6s;
}
#disc2{
	position: absolute;;
	left: 50%;
	top: 50%;
	margin-left: -50px;
	margin-top: -190px;
	width: 100px;
	height: 500px;
	opacity: .5;
	background-color: white;
	-webkit-animation: rotation2 8s infinite ease-in-out;
	-moz-animation: rotation2 8s infinite ease-in-out;
	-o-animation: rotation2 8s infinite ease-in-out;
	animation: rotation2 8s infinite ease-in-out;
}
@-webkit-keyframes rotation {
	0%   { -webkit-transform: rotateY( 0 ) }
	100% { -webkit-transform: rotateY( -360deg )}
}
@-webkit-keyframes rotation2 {
	0%   { -webkit-transform: rotateX( 90deg ) rotateZ( 0 ) scaleY(.2); }
	100% { -webkit-transform: rotateX( 90deg) rotateZ( 360deg ) scaleY(.2); }
}
@-moz-keyframes rotation {
	0%   { -moz-transform: rotateY( 0 ) }
	100% { -moz-transform: rotateY( 360deg )}
}
@-moz-keyframes rotation2 {
	0%   { -moz-transform: rotateY( 0 ) scaleY(.2); }
	100% { -moz-transform: rotateY( 360deg ) scaleY(.2); }
}
@-o-keyframes rotation {
	0%   { -o-transform: rotateY( 0 ) }
	100% { -o-transform: rotateY( 360deg )}
}
@-o-keyframes rotation2 {
	0%   { -o-transform: rotateY( 0 ) scaleY(.2); }
	100% { -o-transform: rotateY( 360deg ) scaleY(.2); }
}
@keyframes rotation {
	0%   { transform: rotateY( 0 ) }
	100% { transform: rotateY( 360deg )}
}
@keyframes rotation2 {
	0%   { transform: rotateY( 0 ) scaleY(.2); }
	100% { transform: rotateY( 360deg ) scaleY(.2); }
}
@-webkit-keyframes shade {
	0%   { background-color: #ffffff }
	50%  { background-color: #222222 }
	100% { background-color: #ffffff }
}
@-moz-keyframes shade {
	0%   { background-color: #ffffff }
	50%  { background-color: #222222 }
	100% { background-color: #ffffff }
}
@-o-keyframes shade {
	0%   { background-color: #ffffff }
	50%  { background-color: #222222 }
	100% { background-color: #ffffff }
}
@keyframes shade {
	0%   { background-color: #ffffff }
	50%  { background-color: #222222 }
	100% { background-color: #ffffff }
}